Endian Bugtracker
Endian Issue Tracker





Please see now our new Bugtracker system: JIRA








View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0002323Endian FirewallInstallationpublic2009-10-29 17:092010-06-11 08:59
Reportercmateski 
Assigned Tora-endian 
PrioritynormalSeveritymajorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version2.2-rc4 
Target VersionfutureFixed in Version2.4 
Summary0002323: Upgrade from 2.2rc4 to 2.3 Failed with efw-upgrade command
DescriptionI have the base installation of endian version 2.2rc4 which was a fresh installation (disk wipe).
I did a full backup before starting the upgrade.
I registered my account on the endian site.

I followed the instructions in the email:
Welcome to the Endian Community

Your email is validated and your account is active

Now follow these 5 steps to keep your Endian Firewall Community up to date:

   1. Enable SSH access on your firewall
   2. Open your favorite SSH terminal and connect to the firewall (On Windows you may use putty)
   3. If your Endian Firewall Community is older than version 2.2 please run

      root@efw-2:~ # rpm -ivh http://updates.endian.org/upgrade.rpm [^]
   4. Run the efw-upgrade script

      root@efw-2:~ # efw-upgrade
      Please choose the appropriate channel for your environment and hit [ENTER]:
      1) Production (stable releases)
      2) Development (bleeding edge)
      1
      Please enter your username and hit [ENTER]:


Output from command to upgrade to version 2.2:
root@efw:~ # rpm -ivh http://updates.endian.org/upgrade.rpm [^]
Retrieving http://updates.endian.org/upgrade.rpm [^]
Preparing... ########################################### [100%]
        package efw-upgrade-2.2.1-0.endian0 is already installed



Output from teh efw-upgrade command:
root@efw:/usr/local/bin # efw-upgrade
Loading cache...
Up cache... ######################################################## [100%]

Fetching information for 'efw-community'...
-> //cmateski@yahoo.com:*@updates.endian.org/stable/repodata/repomd.xml">http://cmateski@yahoo.com:*@updates.endian.org/stable/repodata/repomd.xml [//cmateski@yahoo.com:*@updates.endian.org/stable/repodata/repomd.xml" target="_blank">^]
repomd.xml ######################################################## [ 33%]

Up cache... ######################################################## [100%]

Channels have no new packages.
Loading cache...
Up cache... ######################################################## [100%]

Computing transaction...
No interesting upgrades available.


Additional InformationPlease note other users are experiencing this problems as well.

Tracked in the EFW Forums here:
http://efwsupport.com/index.php?topic=1014.msg2337#msg2337 [^]

Please let me know if any further data is needed and I am happy to upload. Thank you in advance for your help.
TagsNo tags attached.
Attached Filestxt file icon Endian FW Upgrade from 2.2.txt [^] (50,642 bytes) 2010-06-10 17:57 [Show Content]

- Relationships
related to 0002923closed Upgrading from Endian Firewall Community release 2.2 to 2.4 via the efw-upgrade command fails 

-  Notes
(0003651)
Anonymous (viewer)
2010-01-07 13:26

Any news on the upgrade as yet?
(0003654)
cmateski (reporter)
2010-01-07 18:26

It appears no one has been assigned to work the problem. I am disappointed as this is a very important feature.
(0003662)
aender (reporter)
2010-01-14 18:17

Why there is still no update possible from 2.2 to 2.3 ?

Also for the enterprise edition there is still no update from 2.2 to 2.3 !

Any release date or reason why this is not available?
(0003812)
ludemon (reporter)
2010-02-17 17:19

Hi, any news?
(0004450)
ra-endian (administrator)
2010-06-09 10:54

and after this if you try with:

smart update
smart upgrade

which error you get?
(0004455)
cmateski (reporter)
2010-06-09 14:14

root@efw:~ # smart update
Loading cache...
Updating cache... ######################################## [100%]

Fetching information for 'efw-community'...
-> //cmateski@yahoo.com:*@updates.endian.org/stable/repodata/repomd.xml">http://cmateski@yahoo.com:*@updates.endian.org/stable/repodata/repomd.xml [//cmateski@yahoo.com:*@updates.endian.org/stable/repodata/repomd.xml" target="_blank">^]
repomd.xml ######################################## [ 33%]
-> //cmateski@yahoo.com:*@updates.endian.org/stable/.../primary.xml.gz">http://cmateski@yahoo.com:*@updates.endian.org/stable/.../primary.xml.gz [//cmateski@yahoo.com:*@updates.endian.org/stable/.../primary.xml.gz" target="_blank">^]
-> //cmateski@yahoo.com:*@updates.endian.org/stable/.../filelists.xml.gz">http://cmateski@yahoo.com:*@updates.endian.org/stable/.../filelists.xml.gz [//cmateski@yahoo.com:*@updates.endian.org/stable/.../filelists.xml.gz" target="_blank">^]
filelists.xml.gz ######################################## [ 66%]
primary.xml.gz ######################################## [100%]

Updating cache... ######################################## [100%]

Channels have 29 new packages.
Saving cache...







root@efw:~ # smart upgrade
Loading cache...
Updating cache... ######################################## [100%]

Computing transaction...


Upgrading packages (114):
  amavisd-new ethtool openssh-server
  apache fcron openssl
  audit-libs file openswan
  basesystem filesystem openvpn
  conntrack-tools frox openvpn-auth
  cyrus-sasl gettext p3scan
  cyrus-sasl-md5 grub pax
  cyrus-sasl-plain gzip perl
  dansguardian havp perl-rrdtool
  dhclient hwdata postgresql-libs
  dhcp ifplugd postgrey
  dnsmasq initscripts ppp
  e2fsprogs ipac-ng procps
  e2fsprogs-libs iptables python-cheetah
  ebtables iputils python-json
  efw-backup isdn4k-utils rp-pppoe
  efw-clamav kernel rrdtool
  efw-configroot kernel-modem-drivers samba
  efw-console kernel-module-openswan samba-common
  efw-dhcpd krb5-libs scripts
  efw-dnsmasq kudzu sed
  efw-endian libdaemon shadow-utils
  efw-guilib libnetfilter_conntrack siproxd
  efw-ifup libnetfilter_log smartpm
  efw-interfaceeditor libnfnetlink snort
  efw-ipsec libosip2 speedtouch
  efw-locales libvolume_id squid
  efw-mailgraph libxml2 squid-radius-auth
  efw-netwizard libxml2-python sudo
  efw-network logrotate syslog-ng
  efw-openssh mdadm tar
  efw-siproxd misc-progs tmpwatch
  efw-spamassassin mkinitrd udev
  efw-syslog module-init-tools ulogd
  efw-upgrade ntop unzip
  endian-artwork-community ntp util-linux-ng
  endian-core openssh wireless-tools
  ethconfig openssh-clients zoo

Installing packages (13):
  device-mapper modem-drivers python-setuptools
  device-mapper-libs net-snmp-libs python-simplejson
  efw-httpd perl-json-xs sysfsutils
  lm_sensors python-htmltmpl
  lvm2 python-pexpect

72.5MB of package files are needed. 39.0MB will be used.

Confirm changes? (Y/n): Y

Fetching packages...
-> //cmateski@yahoo.com:*@updates.endian.org/.../kernel-2.6.27.19-72.e25.i586.rpm">http://cmateski@yahoo.com:*@updates.endian.org/.../kernel-2.6.27.19-72.e25.i586.rpm [//cmateski@yahoo.com:*@updates.endian.org/.../kernel-2.6.27.19-72.e25.i586.rpm" target="_blank">^]
-> //cmateski@yahoo.com:*@updates.endian.org/.../kernel-module-openswan-2.6.24-4.endian9_2.6.27.19_72.e25.i586.rpm">http://cmateski@yahoo.com:*@updates.endian.org/.../kernel-module-openswan-2.6.24-4.endian9_2.6.27.19_72.e25.i586.rpm [//cmateski@yahoo.com:*@updates.endian.org/.../kernel-module-openswan-2.6.24-4.endian9_2.6.27.19_72.e25.i586.rpm" target="_blank">^]
kernel-module-openswan-2.6.24.. ######################################## [ 93%]
-> //cmateski@yahoo.com:*@updates.endian.org/.../kernel-modem-drivers-2.4-15_2.6.27.19_72.e25.i586.rpm">http://cmateski@yahoo.com:*@updates.endian.org/.../kernel-modem-drivers-2.4-15_2.6.27.19_72.e25.i586.rpm [//cmateski@yahoo.com:*@updates.endian.org/.../kernel-modem-drivers-2.4-15_2.6.27.19_72.e25.i586.rpm" target="_blank">^]
kernel-modem-drivers-2.4-15_2.. ######################################## [ 94%]
-> //cmateski@yahoo.com:*@updates.endian.org/.../cyrus-sasl-2.1.19-14.RHEL4.endian6.i586.rpm">http://cmateski@yahoo.com:*@updates.endian.org/.../cyrus-sasl-2.1.19-14.RHEL4.endian6.i586.rpm [//cmateski@yahoo.com:*@updates.endian.org/.../cyrus-sasl-2.1.19-14.RHEL4.endian6.i586.rpm" target="_blank">^]
cyrus-sasl-2.1.19-14.RHEL4.en.. ######################################## [ 95%]
-> //cmateski@yahoo.com:*@updates.endian.org/.../efw-ipsec-2.4.3-0.endian3.i586.rpm">http://cmateski@yahoo.com:*@updates.endian.org/.../efw-ipsec-2.4.3-0.endian3.i586.rpm [//cmateski@yahoo.com:*@updates.endian.org/.../efw-ipsec-2.4.3-0.endian3.i586.rpm" target="_blank">^]
efw-ipsec-2.4.3-0.endian3.i58.. ######################################## [ 96%]
-> //cmateski@yahoo.com:*@updates.endian.org/.../openswan-2.6.24-4.endian9_2.6.27.19_72.e25.i586.rpm">http://cmateski@yahoo.com:*@updates.endian.org/.../openswan-2.6.24-4.endian9_2.6.27.19_72.e25.i586.rpm [//cmateski@yahoo.com:*@updates.endian.org/.../openswan-2.6.24-4.endian9_2.6.27.19_72.e25.i586.rpm" target="_blank">^]
openswan-2.6.24-4.endian9_2.6.. ######################################## [ 96%]
-> //cmateski@yahoo.com:*@updates.endian.org/.../efw-netwizard-2.4.0-1.endian8.noarch.rpm">http://cmateski@yahoo.com:*@updates.endian.org/.../efw-netwizard-2.4.0-1.endian8.noarch.rpm [//cmateski@yahoo.com:*@updates.endian.org/.../efw-netwizard-2.4.0-1.endian8.noarch.rpm" target="_blank">^]
efw-netwizard-2.4.0-1.endian8.. ######################################## [ 97%]
-> //cmateski@yahoo.com:*@updates.endian.org/.../modem-drivers-2.4-15_2.6.27.19_72.e25.i586.rpm">http://cmateski@yahoo.com:*@updates.endian.org/.../modem-drivers-2.4-15_2.6.27.19_72.e25.i586.rpm [//cmateski@yahoo.com:*@updates.endian.org/.../modem-drivers-2.4-15_2.6.27.19_72.e25.i586.rpm" target="_blank">^]
modem-drivers-2.4-15_2.6.27.1.. ######################################## [ 98%]
-> //cmateski@yahoo.com:*@updates.endian.org/.../initscripts-2.4.1-0.endian9.i586.rpm">http://cmateski@yahoo.com:*@updates.endian.org/.../initscripts-2.4.1-0.endian9.i586.rpm [//cmateski@yahoo.com:*@updates.endian.org/.../initscripts-2.4.1-0.endian9.i586.rpm" target="_blank">^]
initscripts-2.4.1-0.endian9.i.. ######################################## [ 99%]
kernel-2.6.27.19-72.e25.i586... ######################################## [100%]


Committing transaction...
Preparing... ######################################## [ 0%]
error: file /home/httpd/html/include/serviceswitch.js from install of efw-guilib-2.3.63-0.endian3 conflicts with file from package efw-base-2.6.127.2-1.endian9
error: file /home/httpd/cgi-bin/hosts.cgi from install of efw-dnsmasq-2.3.15-0.endian8 conflicts with file from package efw-base-2.6.127.2-1.endian9
(0004460)
cmateski (reporter)
2010-06-09 17:41

Errors are still occuring as reported earlier today. Enclosed are the two errors received:

Committing transaction...
Preparing... ######################################## [ 0%]
error: file /home/httpd/html/include/serviceswitch.js from install of efw-guilib-2.3.63-0.endian3 conflicts with file from package efw-base-2.6.127.2-1.endian9
error: file /home/httpd/cgi-bin/hosts.cgi from install of efw-dnsmasq-2.3.15-0.endian8 conflicts with file from package efw-base-2.6.127.2-1.endian9

For the full logs, please reference my previous log entry.
(0004461)
christian-endian (administrator)
2010-06-09 18:09

Could you try to run the following command:
smart update && smart upgrade --url 2>&1 | grep efw-base

If the output looks something like this it should definitely work:
community@updates.endian.org/stable/pool/efw-base-2.3.21-1.endian15.noarch.rpm">http://*:community@updates.endian.org/stable/pool/efw-base-2.3.21-1.endian15.noarch.rpm [community@updates.endian.org/stable/pool/efw-base-2.3.21-1.endian15.noarch.rpm" target="_blank">^]

Otherwise please post the output...
Thanks
(0004465)
cmateski (reporter)
2010-06-10 00:39

Christian,

Thank you for the fast response. I reran the command and the output is attached below. Is there something else I can try?

Chris

root@efw:~ # smart update && smart upgrade --url 2>&1 | grep efw-base
Loading cache...
Updating cache... ######################################## [100%]

Fetching information for 'efw-community'...
-> //cmateski@yahoo.com:*@updates.endian.org/stable/repodata/repomd.xml">http://cmateski@yahoo.com:*@updates.endian.org/stable/repodata/repomd.xml [//cmateski@yahoo.com:*@updates.endian.org/stable/repodata/repomd.xml" target="_blank">^]
repomd.xml ######################################## [ 33%]
-> //cmateski@yahoo.com:*@updates.endian.org/stable/.../filelists.xml.gz">http://cmateski@yahoo.com:*@updates.endian.org/stable/.../filelists.xml.gz [//cmateski@yahoo.com:*@updates.endian.org/stable/.../filelists.xml.gz" target="_blank">^]
filelists.xml.gz ######################################## [ 66%]
-> //cmateski@yahoo.com:*@updates.endian.org/stable/.../primary.xml.gz">http://cmateski@yahoo.com:*@updates.endian.org/stable/.../primary.xml.gz [//cmateski@yahoo.com:*@updates.endian.org/stable/.../primary.xml.gz" target="_blank">^]
primary.xml.gz ######################################## [100%]

Updating cache... ######################################## [100%]

Channels have 9 new packages:
    bzip2-libs-1.0.3-4.endian2@i586
    efw-base-2:2.3.21-1.endian15@noarch
    efw-network-1:2.4.1-0.endian24@i586
    nspr-4.7.3-2.endian1@i586
    nss-3.12.2.0-4.endian2@i586
    popt-1.10.2.3-9.endian3@i586
    rpm-4.4.2.3-9.endian3@i586
    rpm-libs-4.4.2.3-9.endian3@i586
    ulogd-2.0.0-0.endian9@i586

Saving cache...

//cmateski@yahoo.com:community@updates.endian.org/stable/pool/efw-base-2.3.21-1.endian15.noarch.rpm">http://cmateski@yahoo.com:community@updates.endian.org/stable/pool/efw-base-2.3.21-1.endian15.noarch.rpm [//cmateski@yahoo.com:community@updates.endian.org/stable/pool/efw-base-2.3.21-1.endian15.noarch.rpm" target="_blank">^]
(0004467)
christian-endian (administrator)
2010-06-10 09:39

With this output efw-upgrade should work without problems... Can you try once more please?

Thanks
(0004477)
cmateski (reporter)
2010-06-10 17:56

Christian,

I did multiple upgrades (efw-upgrade) this morning. The system is upgraded to version 2.4. However, there is one more issue I need assistance with. The upgrade didn't return to the prompt. It just hangs there. The firewall is working, confirmed via the gui. The interesting part is it has been sitting there for over 2 hours without returning the prompt. I tried hitting the return key a couple of times to see if the prompt will come up but it didnt. I am not sure if it is still working. Should I wait it out longer? Should I reboot from the gui? My concern is I may interupt/cancel something important that is running. Please advise. I will upload the detailed logs from this mornings upgrade just in case there is anything of value that can help you.

Best Regards,
Chris

+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++

root@efw:~ # efw-upgrade
Loading cache...
Updating cache... ######################################## [100%]

Fetching information for 'efw-community'...
-> //cmateski@yahoo.com:*@updates.endian.org/stable/repodata/repomd.xml">http://cmateski@yahoo.com:*@updates.endian.org/stable/repodata/repomd.xml [//cmateski@yahoo.com:*@updates.endian.org/stable/repodata/repomd.xml" target="_blank">^]
repomd.xml ######################################## [ 50%]

Updating cache... ######################################## [100%]

Channels have no new packages.
Saving cache...

Loading cache...
Updating cache... ######################################## [100%]

Computing transaction...

Upgrading packages (1):
  endian-release-community-1:2.4.0-15@i586

Installing packages (8):
  efw-netwizard-uplink-adsl-1:2.4.0-1.endian8@noarch
  efw-netwizard-uplink-all-1:2.4.0-1.endian8@noarch
  efw-netwizard-uplink-analog-1:2.4.0-1.endian8@noarch
  efw-netwizard-uplink-dhcp-1:2.4.0-1.endian8@noarch
  efw-netwizard-uplink-gateway-1:2.4.0-1.endian8@noarch
  efw-netwizard-uplink-isdn-1:2.4.0-1.endian8@noarch
  efw-netwizard-uplink-pppoe-1:2.4.0-1.endian8@noarch
  efw-netwizard-uplink-static-1:2.4.0-1.endian8@noarch

53.6kB of package files are needed. 79.5kB will be used.

Committing transaction...
Preparing... ######################################## [ 0%]
   1:Installing efw-netwizard.. ######################################## [ 10%]
   2:Installing efw-netwizard.. ######################################## [ 20%]
   3:Installing efw-netwizard.. ######################################## [ 30%]
   4:Installing efw-netwizard.. ######################################## [ 40%]
   5:Installing efw-netwizard.. ######################################## [ 50%]
   6:Installing efw-netwizard.. ######################################## [ 60%]
   7:Installing efw-netwizard.. ######################################## [ 70%]
   8:Installing efw-netwizard.. ######################################## [ 80%]
   9:Installing endian-releas.. ######################################## [ 90%]
  10:Cleaning endian-release-.. ######################################## [100%]


The interesting part is it has been sitting there for over 2 hours without
returning the prompt. I tried hitting the return key a couple of times to
see if the prompt will come up but it didnt. I am not sure if it is still
working. Should I wait it out longer? Should I reboot from the gui? My
concern is I may interupt/cancel something important that is running.

The gui dashboard came up and is reporting version 2.4:
Endian Firewall Community release 2.4.0 (c) 2004-2009 Endian
(0004482)
cmateski (reporter)
2010-06-11 02:50

Ended up rebooting a little bit later. No issues. Thank you for your help. Much appreciated.

- Issue History
Date Modified Username Field Change
2009-10-29 17:09 cmateski New Issue
2010-01-07 13:26 Anonymous Note Added: 0003651
2010-01-07 13:26 Anonymous Status new => feedback
2010-01-07 18:26 cmateski Note Added: 0003654
2010-01-07 23:06 jester95 Note Added: 0003656
2010-01-07 23:07 jester95 Note Deleted: 0003656
2010-01-14 18:17 aender Note Added: 0003662
2010-01-21 19:54 peter-endian Status feedback => confirmed
2010-01-21 19:54 peter-endian Target Version => 2.3.1
2010-01-21 19:54 peter-endian Description Updated
2010-01-21 19:55 peter-endian Assigned To => ra-endian
2010-01-21 19:55 peter-endian Status confirmed => assigned
2010-02-17 17:19 ludemon Note Added: 0003812
2010-03-03 16:25 ra-endian Target Version 2.3.1 => future
2010-06-09 10:54 ra-endian Note Added: 0004450
2010-06-09 10:55 ra-endian Status assigned => feedback
2010-06-09 12:54 ra-endian Relationship added related to 0002923
2010-06-09 14:14 cmateski Note Added: 0004455
2010-06-09 15:17 christian-endian Status feedback => closed
2010-06-09 15:17 christian-endian Resolution open => fixed
2010-06-09 17:41 cmateski Note Added: 0004460
2010-06-09 17:41 cmateski Status closed => feedback
2010-06-09 17:41 cmateski Resolution fixed => reopened
2010-06-09 18:09 christian-endian Note Added: 0004461
2010-06-10 00:39 cmateski Note Added: 0004465
2010-06-10 09:39 christian-endian Note Added: 0004467
2010-06-10 17:56 cmateski Note Added: 0004477
2010-06-10 17:57 cmateski File Added: Endian FW Upgrade from 2.2.txt
2010-06-11 02:50 cmateski Note Added: 0004482
2010-06-11 08:59 ra-endian Status feedback => closed
2010-06-11 08:59 ra-endian Resolution reopened => fixed
2010-06-11 08:59 ra-endian Fixed in Version => 2.4

Copyright © 2005-2008 Endian, SRL. All rights reserved.


Copyright © 2000 - 2012 MantisBT Group
Powered by Mantis Bugtracker